Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.rasmol.model
Class ResidueModel

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.Node
              javax.media.j3d.Group
                  javax.media.j3d.TransformGroup
                      jprotein.rasmol.model.ResidueModel

    public class ResidueModel

extends javax.media.j3d.TransformGroup

Field Summary

Fields inherited from class javax.media.j3d.TransformGroup
`ALLOW_TRANSFORM_READ, ALLOW_TRANSFORM_WRITE`

Fields inherited from class javax.media.j3d.Group
`ALLOW_CHILDREN_EXTEND, ALLOW_CHILDREN_READ, ALLOW_CHILDREN_WRITE, ALLOW_COLLISION_BOUNDS_READ, ALLOW_COLLISION_BOUNDS_WRITE`

Fields inherited from class javax.media.j3d.Node
`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

Constructor Summary
`ResidueModel(Residue3D residue, int index, javax.vecmath.Color3f defaultColor)`

Method Summary
`int` | `getIndex()`
`javax.vecmath.Point3f` | `getPosition()`
`Residue3D` | `getResidue()`
`java.util.Vector` | `getSphereList()`
`void` | `modifyAppearance(javax.vecmath.Color3f color, boolean transparent)`
`void` | `setIndex(int index)`
`java.lang.String` | `toString()`

Methods inherited from class javax.media.j3d.TransformGroup
`cloneNode, getTransform, setTransform`

Methods inherited from class javax.media.j3d.Group
`addChild, getAllChildren, getAlternateCollisionTarget, getChild, getCollisionBounds, indexOfChild, insertChild, moveTo, numChildren, removeAllChildren, removeChild, removeChild, setAlternateCollisionTarget, setChild, setCollisionBounds`

Methods inherited from class javax.media.j3d.Node
`cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, duplicateNode, getBounds, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, updateNodeReferences`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResidueModel

    public ResidueModel(Residue3D residue,
                        int index,
                        javax.vecmath.Color3f defaultColor)

Method Detail

### getIndex

    public int getIndex()

### setIndex

    public void setIndex(int index)

### getSphereList

    public java.util.Vector getSphereList()

### getPosition

    public javax.vecmath.Point3f getPosition()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `javax.media.j3d.SceneGraphObject`

### getResidue

    public Residue3D getResidue()

### modifyAppearance

    public void modifyAppearance(javax.vecmath.Color3f color,
                                 boolean transparent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD